# setChanging

abstract fun setChanging(changing: Boolean): ExternalModuleDependency

Sets the dependency as "changing" or "not changing". If set to true, the dependency is marked as "changing." Gradle will periodically check the remote repository for updates, even if the local cache entry has not yet expired. Defaults to false.

#### Return

this

#### Parameters

changing

if true, the dependency is considered changing and Gradle should check for a change in the remote repository, even if a local entry exists.